Bug 13331 - --without-ldap breaks build unless --disable-python is given as well
--without-ldap breaks build unless --disable-python is given as well
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Python
4.8.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-14 16:32 UTC by Lars Wendler
Modified: 2018-06-04 06:49 UTC (History)
4 users (show)

See Also:


Attachments
Patch for v4-8-test (1.29 KB, patch)
2018-05-24 06:04 UTC, Stefan Metzmacher
vl: review+
ddiss: review+
metze: review? (bbaumbach)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler 2018-03-14 16:32:49 UTC
17:13:24 runner x86_64-pc-linux-gnu-gcc -march=native -mtune=native -O2 -pipe -DPY_SSIZE_T_CLEAN=1 -fPIC -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -fstack-protector -DSTATIC_python_samba_libgpo_MODULES=NULL -DSTATIC_python_samba_libgpo_MODULES_PROTO=extern void __python_samba_libgpo_dummy_module_proto(void) -MD -fno-strict-aliasing -I/usr/include/et -Idefault/libgpo -I../libgpo -Idefault/source3 -I../source3 -Idefault/source3/include -I../source3/include -Idefault/source3/lib -I../source3/lib -Idefault/include/public -I../include/public -Idefault/source4 -I../source4 -Idefault/lib -I../lib -Idefault/source4/lib -I../source4/lib -Idefault/source4/include -I../source4/include -Idefault/include -I../include -Idefault/lib/replace -I../lib/replace -Idefault -I.. -Idefault/lib/param -I../lib/param -Idefault/libcli/ldap -I../libcli/ldap -Idefault/librpc -I../librpc -Idefault/source3/auth -I../source3/auth -Idefault/source4/dsdb -I../source4/dsdb -Idefault/source4/lib/http -I../source4/lib/http -Idefault/source4/lib/messaging -I../source4/lib/messaging -Idefault/python -I../python -Idefault/source3/passdb -I../source3/passdb -Idefault/lib/crypto -I../lib/crypto -Idefault/libcli/auth -I../libcli/auth -Idefault/lib/addns -I../lib/addns -Idefault/auth/gensec -I../auth/gensec -Idefault/auth/credentials -I../auth/credentials -Idefault/lib/krb5_wrap -I../lib/krb5_wrap -Idefault/lib/ldb-samba -I../lib/ldb-samba -Idefault/source4/lib/stream -I../source4/lib/stream -Idefault/libcli/registry -I../libcli/registry -Idefault/auth -I../auth -Idefault/source4/librpc -I../source4/librpc -Idefault/source4/auth/kerberos -I../source4/auth/kerberos -Idefault/source4/param -I../source4/param -Idefault/lib/socket -I../lib/socket -Idefault/lib/util/charset -I../lib/util/charset -Idefault/source4/libcli -I../source4/libcli -Idefault/source4/lib/events -I../source4/lib/events -Idefault/lib/async_req -I../lib/async_req -Idefault/source4/auth/gensec -I../source4/auth/gensec -Idefault/nsswitch/libwbclient -I../nsswitch/libwbclient -Idefault/libds/common -I../libds/common -Idefault/auth/kerberos -I../auth/kerberos -Idefault/source4/auth -I../source4/auth -Idefault/lib/dbwrap -I../lib/dbwrap -Idefault/source4/lib/socket -I../source4/lib/socket -Idefault/source4/cluster -I../source4/cluster -Idefault/lib/pthreadpool -I../lib/pthreadpool -Idefault/libcli/netlogon -I../libcli/netlogon -Idefault/libcli/security -I../libcli/security -Idefault/lib/smbconf -I../lib/smbconf -Idefault/nsswitch -I../nsswitch -Idefault/auth/ntlmssp -I../auth/ntlmssp -Idefault/libcli/nbt -I../libcli/nbt -Idefault/libcli/drsuapi -I../libcli/drsuapi -Idefault/lib/tsocket -I../lib/tsocket -Idefault/source4/lib/tls -I../source4/lib/tls -Idefault/source4/libcli/smb2 -I../source4/libcli/smb2 -Idefault/source3/librpc -I../source3/librpc -Idefault/libcli/cldap -I../libcli/cldap -Idefault/libcli/util -I../libcli/util -Idefault/libcli/smb -I../libcli/smb -Idefault/libcli/lsarpc -I../libcli/lsarpc -Idefault/source4/libcli/ldap -I../source4/libcli/ldap -Idefault/dynconfig -I../dynconfig -Idefault/source3/param -I../source3/param -Idefault/lib/compression -I../lib/compression -I/usr/local/include -I/usr/include/tirpc -I/usr/include/python2.7 -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H=1 -D_GNU_SOURCE=1 -D_XOPEN_SOURCE_EXTENDED=1 ../libgpo/pygpo.c -c -o default/libgpo/pygpo_4.o
../libgpo/pygpo.c: In function ‘find_samaccount’:
../libgpo/pygpo.c:340:11: warning: implicit declaration of function ‘ads_do_search_all’; did you mean ‘ads_do_search_all_fn’? [-Wimplicit-function-declaration]
  status = ads_do_search_all(ads, ads->config.bind_path,
           ^~~~~~~~~~~~~~~~~
           ads_do_search_all_fn
../libgpo/pygpo.c:341:8: error: ‘LDAP_SCOPE_SUBTREE’ undeclared (first use in this function); did you mean ‘LDAP_OPT_SUCCESS’?
        LDAP_SCOPE_SUBTREE, filter, attrs, &res);
        ^~~~~~~~~~~~~~~~~~
        LDAP_OPT_SUCCESS
../libgpo/pygpo.c:341:8: note: each undeclared identifier is reported only once for each function it appears in
In file included from ../source3/include/ads.h:9:0,
                 from ../libgpo/gpo.h:23,
                 from ../libgpo/pygpo.c:23:
../libgpo/pygpo.c:348:22: error: ‘LDAP_NO_RESULTS_RETURNED’ undeclared (first use in this function); did you mean ‘WERR_DS_NO_RESULTS_RETURNED’?
   status = ADS_ERROR(LDAP_NO_RESULTS_RETURNED);
                      ^
../source3/libads/ads_status.h:43:65: note: in definition of macro ‘ADS_ERROR_LDAP’
 #define ADS_ERROR_LDAP(rc) ads_build_error(ENUM_ADS_ERROR_LDAP, rc, 0)
                                                                 ^~
../libgpo/pygpo.c:348:12: note: in expansion of macro ‘ADS_ERROR’
   status = ADS_ERROR(LDAP_NO_RESULTS_RETURNED);
            ^~~~~~~~~
../libgpo/pygpo.c:352:7: warning: implicit declaration of function ‘ads_get_dn’; did you mean ‘ads_get_upn’? [-Wimplicit-function-declaration]
  dn = ads_get_dn(ads, talloc_tos(), res);
       ^~~~~~~~~~
       ads_get_upn
../libgpo/pygpo.c:352:5: warning: assignment makes pointer from integer without a cast [-Wint-conversion]
  dn = ads_get_dn(ads, talloc_tos(), res);
     ^
In file included from ../source3/include/ads.h:9:0,
                 from ../libgpo/gpo.h:23,
                 from ../libgpo/pygpo.c:23:
../libgpo/pygpo.c:354:22: error: ‘LDAP_NO_MEMORY’ undeclared (first use in this function); did you mean ‘EAI_MEMORY’?
   status = ADS_ERROR(LDAP_NO_MEMORY);
                      ^
../source3/libads/ads_status.h:43:65: note: in definition of macro ‘ADS_ERROR_LDAP’
 #define ADS_ERROR_LDAP(rc) ads_build_error(ENUM_ADS_ERROR_LDAP, rc, 0)
                                                                 ^~
../libgpo/pygpo.c:354:12: note: in expansion of macro ‘ADS_ERROR’
   status = ADS_ERROR(LDAP_NO_MEMORY);
            ^~~~~~~~~
../libgpo/pygpo.c:358:7: warning: implicit declaration of function ‘ads_pull_uint32’; did you mean ‘ndr_pull_uint32’? [-Wimplicit-function-declaration]
  if (!ads_pull_uint32(ads, res, "userAccountControl", &uac)) {
       ^~~~~~~~~~~~~~~
       ndr_pull_uint32
In file included from ../source3/include/ads.h:9:0,
                 from ../libgpo/gpo.h:23,
                 from ../libgpo/pygpo.c:23:
../libgpo/pygpo.c:359:22: error: ‘LDAP_NO_SUCH_ATTRIBUTE’ undeclared (first use in this function); did you mean ‘Py_GCC_ATTRIBUTE’?
   status = ADS_ERROR(LDAP_NO_SUCH_ATTRIBUTE);
                      ^
../source3/libads/ads_status.h:43:65: note: in definition of macro ‘ADS_ERROR_LDAP’
 #define ADS_ERROR_LDAP(rc) ads_build_error(ENUM_ADS_ERROR_LDAP, rc, 0)
                                                                 ^~
../libgpo/pygpo.c:359:12: note: in expansion of macro ‘ADS_ERROR’
   status = ADS_ERROR(LDAP_NO_SUCH_ATTRIBUTE);
            ^~~~~~~~~
../libgpo/pygpo.c:376:2: warning: implicit declaration of function ‘ads_msgfree’ [-Wimplicit-function-declaration]
  ads_msgfree(ads, res);
  ^~~~~~~~~~~
Waf: Leaving directory `/var/tmp/portage/net-fs/samba-4.8.0/work/samba-4.8.0-abi_x86_64.amd64/bin'
Build failed:  -> task failed (err #1):
        {task: cc pygpo.c -> pygpo_4.o}
Comment 1 Stefan Metzmacher 2018-05-24 06:04:28 UTC
Created attachment 14215 [details]
Patch for v4-8-test

I guess commit a222b7506b53e689708834237f18877231dca589 from master will
fix this...
Comment 2 Lars Wendler 2018-05-24 08:09:41 UTC
This patch fixes the issue for me.
Comment 3 Karolin Seeger 2018-06-04 06:49:11 UTC
Pushed to v4-8-test.
Closing out bug report.

Thanks!